%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}
%global pkgname	phpMyAdmin
%global pkgnameV phpMyAdmin47

# If php-mcrypt is available, it should be preferred. Otherwise the pure
# phpseclib alternative alternative can be used externally or internally.
%global mcrypt	1
%global seclib	0

# Having below mentioned separate projects externally or only internally?
%global gettext	0 
# getext included in php common since php55
%global tcpdf	0
%global optdatadir /opt 

Summary:	Handle the administration of MySQL over the World Wide Web
Name:		phpMyAdmin47
Version:	4.7.6
Release:	1%{?dist}
License:	GPLv2+
Group:		Applications/Internet
URL:		https://www.phpmyadmin.net/
Source0:	https://files.phpmyadmin.net/%{pkgname}/%{version}/%{pkgname}-%{version}-all-languages.tar.xz
Source1:	https://files.phpmyadmin.net/%{pkgname}/%{version}/%{pkgname}-%{version}-all-languages.tar.xz.asc
Source2:	phpMyAdmin-config.inc.php
Source3:	phpMyAdmin.htaccess
#Patch0:		phpMyAdmin-4.0.10-remove-flash.patch
#Patch1:		phpMyAdmin-4.0.10.17-system-phpseclib.patch
# Optional (and partially redundant) runtime requirements: php-bcmath, php-gmp, php-recode, php-soap
Requires:	php55-php >= 5.5, php55-php-filter, php55-php-xmlwriter
Requires:	webserver, php55-php-bz2, php55-php-ctype, php55-php-curl, php55-php-date, php55-php-gd, php55-php-hash, php55-php-iconv
Requires:	php55-php-json, php55-php-libxml, php55-php-mbstring, php55-php-mysqli, php55-php-pcre, php55-php-session, php55-php-simplexml
Requires:	php55-php-spl, php55-php-zip, php55-php-zlib

Requires:       php56-php >= 5.5, php56-php-filter, php56-php-xmlwriter
Requires:       webserver, php56-php-bz2, php56-php-ctype, php56-php-curl, php56-php-date, php56-php-gd, php56-php-hash, php56-php-iconv
Requires:       php56-php-json, php56-php-libxml, php56-php-mbstring, php56-php-mysqli, php56-php-pcre, php56-php-session, php56-php-simplexml
Requires:       php56-php-spl, php56-php-zip, php56-php-zlib

Requires:       php70-php >= 5.5, php70-php-filter, php70-php-xmlwriter
Requires:       webserver, php70-php-bz2, php70-php-ctype, php70-php-curl, php70-php-date, php70-php-gd, php70-php-hash, php70-php-iconv
Requires:       php70-php-json, php70-php-libxml, php70-php-mbstring, php70-php-mysqli, php70-php-pcre, php70-php-session, php70-php-simplexml
Requires:       php70-php-spl, php70-php-zip, php70-php-zlib

Requires:       php71-php >= 5.5, php71-php-filter, php71-php-xmlwriter
Requires:       webserver, php71-php-bz2, php71-php-ctype, php71-php-curl, php71-php-date, php71-php-gd, php71-php-hash, php71-php-iconv
Requires:       php71-php-json, php71-php-libxml, php71-php-mbstring, php71-php-mysqli, php71-php-pcre, php71-php-session, php71-php-simplexml
Requires:       php71-php-spl, php71-php-zip, php71-php-zlib


%if 0%{?mcrypt}
Requires:	php55-php-mcrypt
Requires:       php56-php-mcrypt
Requires:	php70-php-mcrypt
Requires:	php71-php-mcrypt
%else
%if 0%{?seclib}
Requires:	php55-php-phpseclib-crypt-aes
%endif
%endif
%if 0%{?gettext}
Requires:	php55-php-gettext
%endif
# Optional runtime requirements for tcpdf: php-openssl, php-tidy (usually not required in phpMyAdmin)
%if 0%{?tcpdf}
Requires:	php55-php-tcpdf, php55-php-tcpdf-dejavu-sans-fonts
%endif
Provides:	phpMyAdmin47 = %{version}-%{release}
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
phpMyAdmin is a tool written in PHP intended to handle the administration of
MySQL over the World Wide Web. Most frequently used operations are supported
by the user interface (managing databases, tables, fields, relations, indexes,
users, permissions), while you still have the ability to directly execute any
SQL statement.

Features include an intuitive web interface, support for most MySQL features
(browse and drop databases, tables, views, fields and indexes, create, copy,
drop, rename and alter databases, tables, fields and indexes, maintenance
server, databases and tables, with proposals on server configuration, execute,
edit and bookmark any SQL-statement, even batch-queries, manage MySQL users
and privileges, manage stored procedures and triggers), import data from CSV
and SQL, export data to various formats: CSV, SQL, XML, PDF, OpenDocument Text
and Spreadsheet, Word, Excel, LATEX and others, administering multiple servers,
creating PDF graphics of your database layout, creating complex queries using
Query-by-example (QBE), searching globally in a database or a subset of it,
transforming stored data into any format using a set of predefined functions,
like displaying BLOB-data as image or download-link and much more...

%prep
%setup -q -n %{pkgname}-%{version}-all-languages
#%patch0 -p1
#%patch1 -p1

# Setup vendor config file
sed -e "/'CHANGELOG_FILE'/s@./ChangeLog@%{_pkgdocdir}/ChangeLog@" \
    -e "/'LICENSE_FILE'/s@./LICENSE@%{_pkgdocdir}/LICENSE@" \
    -e "/'CONFIG_DIR'/s@''@'%{_sysconfdir}/%{pkgnameV}/'@" \
    -e "/'SETUP_CONFIG_FILE'/s@./config/config.inc.php@%{_localstatedir}/lib/%{pkgnameV}/config/config.inc.php@" \
%if 0%{?gettext}
    -e "/'GETTEXT_INC'/s@./libraries/php-gettext/gettext.inc@%{_datadir}/php/gettext/gettext.inc@" \
%endif
%if 0%{?tcpdf}
    -e "/'TCPDF_INC'/s@./libraries/tcpdf/tcpdf.php@%{_datadir}/php/tcpdf/tcpdf.php@" \
%endif
%if 0%{?mcrypt}%{?seclib}
    -e "/'PHPSECLIB_INC_DIR'/s@./libraries/phpseclib@%{_datadir}/pear@" \
%endif
    -i libraries/vendor_config.php

# Remove bundled libraries
%if 0%{?gettext}
rm -rf libraries/php-gettext/
%endif

%if 0%{?tcpdf}
rm -rf libraries/tcpdf/
%endif

%if 0%{?mcrypt}%{?seclib}
rm -rf libraries/phpseclib/
%endif

# Remove sources of JavaScript library
rm -rf js/jquery/src/

# Remove files related to Flash file (*.swf)
rm -f js/canvg/flashcanvas.{js,swf}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{optdatadir}/%{pkgnameV},%{_sysconfdir}/{httpd/conf.d,%{pkgnameV}}}/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/%{pkgnameV}/{upload,save,config}/
cp -ad * $RPM_BUILD_ROOT%{optdatadir}/%{pkgnameV}/
install -p -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{pkgnameV}.conf
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/%{pkgnameV}/config.inc.php

rm -f $RPM_BUILD_ROOT%{optdatadir}/%{pkgnameV}/{[CDLR]*,*.txt,config.sample.inc.php}
rm -rf $RPM_BUILD_ROOT%{optdatadir}/%{pkgnameV}/{doc,examples}/
rm -f doc/html/.buildinfo

mkdir -p $RPM_BUILD_ROOT%{optdatadir}/%{pkgnameV}/doc/
ln -s ../../..%{_pkgdocdir}/html/ $RPM_BUILD_ROOT%{optdatadir}/%{pkgnameV}/doc/html
mv -f config.sample.inc.php examples/

%clean
rm -rf $RPM_BUILD_ROOT

%post
# Generate a secret key for this installation
sed -e "/'blowfish_secret'/s/MUSTBECHANGEDONINSTALL/$(cat /dev/urandom | tr -dc 'a-zA-Z0-9' | fold -w 32 | head -n 1)/" \
    -i %{_sysconfdir}/%{pkgnameV}/config.inc.php

%files
%defattr(-,root,root,-)
%doc ChangeLog README LICENSE doc/html/ examples/
%{optdatadir}/%{pkgnameV}/
%dir %attr(0750,root,apache) %{_sysconfdir}/%{pkgnameV}/
%config(noreplace) %attr(0640,root,apache) %{_sysconfdir}/%{pkgnameV}/config.inc.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{pkgnameV}.conf
%dir %{_localstatedir}/lib/%{pkgnameV}/
%dir %attr(0750,apache,apache) %{_localstatedir}/lib/%{pkgnameV}/upload/
%dir %attr(0750,apache,apache) %{_localstatedir}/lib/%{pkgnameV}/save/
%dir %attr(0750,apache,apache) %{_localstatedir}/lib/%{pkgnameV}/config/

%changelog
* Mon Jun 26 2017 Robert Scheck <robert@fedoraproject.org> 4.0.10.20-1
- Upgrade to 4.0.10.20 (#1437828, #1464267)

* Thu Feb 23 2017 Robert Scheck <robert@fedoraproject.org> 4.0.10.19-1
- Upgrade to 4.0.10.19 (#1415995, #1415996, #1415997, #1415998,
  #1415999, #1416000)
- Require php-mysqli instead of php-mysql (#1421913)

* Mon Nov 28 2016 Robert Scheck <robert@fedoraproject.org> 4.0.10.18-1
- Upgrade to 4.0.10.18 (#1399197)

* Sun Aug 28 2016 Robert Scheck <robert@fedoraproject.org> 4.0.10.17-2
- Fix usage of internal vs. external phpseclib or mcrypt alternative
- Ensure that 'blowfish_secret' is 32 characters for new installation

* Sun Aug 28 2016 Robert Scheck <robert@fedoraproject.org> 4.0.10.17-1
- Upgrade to 4.0.10.17 (#1370778)

* Thu Jun 23 2016 Robert Scheck <robert@fedoraproject.org> 4.0.10.16-1
- Upgrade to 4.0.10.16 (#1349500)

* Sat Jun 04 2016 Robert Scheck <robert@fedoraproject.org> 4.0.10.15-2
- Added upstream patch to avoid information disclosure (#1340065)

* Thu Mar 03 2016 Robert Scheck <robert@fedoraproject.org> 4.0.10.15-1
- Upgrade to 4.0.10.15 (#1313221, #1313224, #1313695, #1313696)

* Sat Feb 27 2016 Robert Scheck <robert@fedoraproject.org> 4.0.10.14-2
- Use MCRYPT_DEV_URANDOM in mcrypt_create_iv() (rather PHP default)

* Sat Jan 30 2016 Robert Scheck <robert@fedoraproject.org> 4.0.10.14-1
- Upgrade to 4.0.10.14

* Thu Jan 28 2016 Robert Scheck <robert@fedoraproject.org> 4.0.10.13-1
- Upgrade to 4.0.10.13

* Fri Dec 25 2015 Robert Scheck <robert@fedoraproject.org> 4.0.10.12-1
- Upgrade to 4.0.10.12 (#1294254)

* Sun Oct 25 2015 Robert Scheck <robert@fedoraproject.org> 4.0.10.11-1
- Upgrade to 4.0.10.11

* Thu May 14 2015 Robert Scheck <robert@fedoraproject.org> 4.0.10.10-1
- Upgrade to 4.0.10.10 (#1221588, #1221580, #1221581)

* Wed Mar 04 2015 Robert Scheck <robert@fedoraproject.org> 4.0.10.9-1
- Upgrade to 4.0.10.9

* Wed Jan 07 2015 Robert Scheck <robert@fedoraproject.org> 4.0.10.8-1
- Upgrade to 4.0.10.8

* Thu Dec 11 2014 Robert Scheck <robert@fedoraproject.org> 4.0.10.7-2
- Use %%{pkgname} rather %%{name} in %%post scriptlet (#1173189)

* Thu Dec 04 2014 Robert Scheck <robert@fedoraproject.org> 4.0.10.7-1
- Upgrade to 4.0.10.7

* Thu Nov 20 2014 Robert Scheck <robert@fedoraproject.org> 4.0.10.6-1
- Upgrade to 4.0.10.6

* Wed Oct 22 2014 Robert Scheck <robert@fedoraproject.org> 4.0.10.5-1
- Upgrade to 4.0.10.5 (#1155362)

* Thu Oct 02 2014 Robert Scheck <robert@fedoraproject.org> 4.0.10.4-1
- Upgrade to 4.0.10.4 (#1148664)

* Wed Sep 17 2014 Robert Scheck <robert@fedoraproject.org> 4.0.10.3-2
- Move rm(1) calls from %%install to %%prep (#1121355 #c10)

* Tue Sep 16 2014 Robert Scheck <robert@fedoraproject.org> 4.0.10.3-1
- Upgrade to 4.0.10.3 (#1141635)

* Mon Sep 01 2014 Robert Scheck <robert@fedoraproject.org> 4.0.10.2-2
- Corrected wrong permissions of /etc/phpMyAdmin/ directory

* Mon Aug 18 2014 Robert Scheck <robert@fedoraproject.org> 4.0.10.2-1
- Upgrade to 4.0.10.2 (#1130865)

* Tue Jul 22 2014 Robert Scheck <robert@fedoraproject.org> 4.0.10.1-1
- Upgrade to 4.0.10.1 (#548260, #959946, #989660, #989668, #993613
  and #1000261, #1067713, #1110877, #1117600, #1117601)
- Switch from HTTP- to cookie-based authentication (for php-fpm)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Dec 12 2013 Ville Skyttä <ville.skytta@iki.fi> - 3.5.8.2-2
- Fix paths to changelog and license when doc dir is unversioned (#994036).
- Fix source URL, use xz compressed tarball.

* Wed Oct 09 2013 Paul Wouters <pwouters@redhat.com> - 3.5.8.2-1
- Upgrade to 3.5.8.2 (Various security issues)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 25 2013 Robert Scheck <robert@fedoraproject.org> 3.5.8.1-1
- Upgrade to 3.5.8.1 (#956398, #956401)

* Sat Apr 13 2013 Robert Scheck <robert@fedoraproject.org> 3.5.8-1
- Upgrade to 3.5.8 (#949868)

* Sat Feb 23 2013 Robert Scheck <robert@fedoraproject.org> 3.5.7-1
- Upgrade to 3.5.7 (#912097)

* Sun Feb 10 2013 Robert Scheck <robert@fedoraproject.org> 3.5.6-1
- Upgrade to 3.5.6 (#889450)

* Sun Nov 18 2012 Robert Scheck <robert@fedoraproject.org> 3.5.4-1
- Upgrade to 3.5.4 (#877727)

* Tue Oct 09 2012 Robert Scheck <robert@fedoraproject.org> 3.5.3-1
- Upgrade to 3.5.3

* Wed Aug 15 2012 Robert Scheck <robert@fedoraproject.org> 3.5.2.2-1
- Upgrade to 3.5.2.2 (#845736)

* Sat Aug 11 2012 Robert Scheck <robert@fedoraproject.org> 3.5.2.1-1
- Upgrade to 3.5.2.1 (#845736)

* Mon Jul 30 2012 Robert Scheck <robert@fedoraproject.org> 3.5.2-1
- Upgrade to 3.5.2 (#838310)

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun May 06 2012 Robert Scheck <robert@fedoraproject.org> 3.5.1-1
- Upgrade to 3.5.1 (#819171)

* Sat May 05 2012 Remi Collet <remi@fedoraproject.org> 3.5.0-2
- make configuration compatible apache 2.2 / 2.4

* Sun Apr 08 2012 Robert Scheck <robert@fedoraproject.org> 3.5.0-1
- Upgrade to 3.5.0 (#790782, #795020, #809146)

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 22 2011 Robert Scheck <robert@fedoraproject.org> 3.4.9-1
- Upgrade to 3.4.9 (#769818)

* Sun Dec 04 2011 Robert Scheck <robert@fedoraproject.org> 3.4.8-1
- Upgrade to 3.4.8 (#759441)

* Sat Nov 12 2011 Robert Scheck <robert@fedoraproject.org> 3.4.7.1-1
- Upgrade to 3.4.7.1 (#753119)

* Sat Nov 05 2011 Robert Scheck <robert@fedoraproject.org> 3.4.7-1
- Upgrade to 3.4.7 (#746630, #746880)

* Sun Sep 18 2011 Robert Scheck <robert@fedoraproject.org> 3.4.5-1
- Upgrade to 3.4.5 (#733638, #738681, #629214)

* Thu Aug 25 2011 Robert Scheck <robert@fedoraproject.org> 3.4.4-1
- Upgrade to 3.4.4 (#733475, #733477, #733480)

* Tue Jul 26 2011 Robert Scheck <robert@fedoraproject.org> 3.4.3.2-2
- Disabled the warning for missing internal database relation
- Reworked spec file to build phpMyAdmin3 for RHEL 5 (#725885)

* Mon Jul 25 2011 Robert Scheck <robert@fedoraproject.org> 3.4.3.2-1
- Upgrade to 3.4.3.2 (#725377, #725381, #725382, #725383, #725384)

* Wed Jul 06 2011 Robert Scheck <robert@fedoraproject.org> 3.4.3.1-1
- Upgrade to 3.4.3.1 (#718964)

* Mon Jun 13 2011 Robert Scheck <robert@fedoraproject.org> 3.4.2-1
- Upgrade to 3.4.2 (#711743)

* Sun May 29 2011 Robert Scheck <robert@fedoraproject.org> 3.4.1-1
- Upgrade to 3.4.1 (#704171)

* Mon Mar 21 2011 Robert Scheck <robert@fedoraproject.org> 3.3.10-1
- Upstream released 3.3.10 (#661335, #662366, #662367, #689213)

* Sun Feb 13 2011 Robert Scheck <robert@fedoraproject.org> 3.3.9.2-1
- Upstream released 3.3.9.2 (#676172)

* Thu Feb 10 2011 Robert Scheck <robert@fedoraproject.org> 3.3.9.1-1
- Upstream released 3.3.9.1 (#676172)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 03 2011 Robert Scheck <robert@fedoraproject.org> 3.3.9-1
- Upstream released 3.3.9 (#666925)

* Mon Nov 29 2010 Robert Scheck <robert@fedoraproject.org> 3.3.8.1-1
- Upstream released 3.3.8.1

* Fri Oct 29 2010 Robert Scheck <robert@fedoraproject.org> 3.3.8-1
- Upstream released 3.3.8 (#631748)

* Wed Sep 08 2010 Robert Scheck <robert@fedoraproject.org> 3.3.7-1
- Upstream released 3.3.7 (#631824, #631829)

* Sun Aug 29 2010 Robert Scheck <robert@fedoraproject.org> 3.3.6-1
- Upstream released 3.3.6 (#628301)

* Fri Aug 20 2010 Robert Scheck <robert@fedoraproject.org> 3.3.5.1-1
- Upstream released 3.3.5.1 (#625877, #625878)
- Added patch to fix wrong variable check at nopassword (#622428)

* Tue Jul 27 2010 Robert Scheck <robert@fedoraproject.org> 3.3.5-1
- Upstream released 3.3.5 (#618586)

* Tue Jun 29 2010 Robert Scheck <robert@fedoraproject.org> 3.3.4-1
- Upstream released 3.3.4 (#609057)

* Sat Jun 26 2010 Robert Scheck <robert@fedoraproject.org> 3.3.3-1
- Upstream released 3.3.3 (#558322, #589288, #589487)

* Sun Jan 10 2010 Robert Scheck <robert@fedoraproject.org> 3.2.5-1
- Upstream released 3.2.5

* Thu Dec 03 2009 Robert Scheck <robert@fedoraproject.org> 3.2.4-1
- Upstream released 3.2.4 (#540871, #540891)

* Thu Nov 05 2009 Robert Scheck <robert@fedoraproject.org> 3.2.3-1
- Upstream released 3.2.3

* Tue Oct 13 2009 Robert Scheck <robert@fedoraproject.org> 3.2.2.1-1
- Upstream released 3.2.2.1 (#528769)
- Require php-mcrypt for cookie authentication (#526979)

* Sun Sep 13 2009 Robert Scheck <robert@fedoraproject.org> 3.2.2-1
- Upstream released 3.2.2

* Sun Sep 06 2009 Robert Scheck <robert@fedoraproject.org> 3.2.1-2
- Added ::1 for localhost/loopback access (for IPv6 users)

* Mon Aug 10 2009 Robert Scheck <robert@fedoraproject.org> 3.2.1-1
- Upstream released 3.2.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 30 2009 Robert Scheck <robert@fedoraproject.org> 3.2.0.1-1
- Upstream released 3.2.0.1 (#508879)

* Tue Jun 30 2009 Robert Scheck <robert@fedoraproject.org> 3.2.0-1
- Upstream released 3.2.0

* Fri May 15 2009 Robert Scheck <robert@fedoraproject.org> 3.1.5-1
- Upstream released 3.1.5

* Sat Apr 25 2009 Robert Scheck <robert@fedoraproject.org> 3.1.4-1
- Upstream released 3.1.4

* Tue Apr 14 2009 Robert Scheck <robert@fedoraproject.org> 3.1.3.2-1
- Upstream released 3.1.3.2 (#495768)

* Wed Mar 25 2009 Robert Scheck <robert@fedoraproject.org> 3.1.3.1-1
- Upstream released 3.1.3.1 (#492066)

* Sun Mar 01 2009 Robert Scheck <robert@fedoraproject.org> 3.1.3-1
- Upstream released 3.1.3

* Mon Feb 23 2009 Robert Scheck <robert@fedoraproject.org> 3.1.2-2
- Rebuilt against rpm 4.6

* Tue Jan 20 2009 Robert Scheck <robert@fedoraproject.org> 3.1.2-1
- Upstream released 3.1.2

* Thu Dec 11 2008 Robert Scheck <robert@fedoraproject.org> 3.1.1-1
- Upstream released 3.1.1 (#475954)

* Sat Nov 29 2008 Robert Scheck <robert@fedoraproject.org> 3.1.0-1
- Upstream released 3.1.0
- Replaced LocationMatch with Directory directive (#469451)

* Thu Oct 30 2008 Robert Scheck <robert@fedoraproject.org> 3.0.1.1-1
- Upstream released 3.0.1.1 (#468974)

* Wed Oct 22 2008 Robert Scheck <robert@fedoraproject.org> 3.0.1-1
- Upstream released 3.0.1

* Sun Oct 19 2008 Robert Scheck <robert@fedoraproject.org> 3.0.0-1
- Upstream released 3.0.0

* Mon Sep 22 2008 Robert Scheck <robert@fedoraproject.org> 2.11.9.2-1
- Upstream released 2.11.9.2 (#463260)

* Tue Sep 16 2008 Robert Scheck <robert@fedoraproject.org> 2.11.9.1-1
- Upstream released 2.11.9.1 (#462430)

* Fri Aug 29 2008 Robert Scheck <robert@fedoraproject.org> 2.11.9-1
- Upstream released 2.11.9

* Mon Jul 28 2008 Robert Scheck <robert@fedoraproject.org> 2.11.8.1-1
- Upstream released 2.11.8.1 (#456637, #456950)

* Mon Jul 28 2008 Robert Scheck <robert@fedoraproject.org> 2.11.8-1
- Upstream released 2.11.8 (#456637)

* Tue Jul 15 2008 Robert Scheck <robert@fedoraproject.org> 2.11.7.1-1
- Upstream released 2.11.7.1 (#455520)

* Mon Jun 23 2008 Robert Scheck <robert@fedoraproject.org> 2.11.7-1
- Upstream released 2.11.7 (#452497)

* Tue Apr 29 2008 Robert Scheck <robert@fedoraproject.org> 2.11.6-1
- Upstream released 2.11.6

* Tue Apr 22 2008 Robert Scheck <robert@fedoraproject.org> 2.11.5.2-1
- Upstream released 2.11.5.2 (#443683)

* Sat Mar 29 2008 Robert Scheck <robert@fedoraproject.org> 2.11.5.1-1
- Upstream released 2.11.5.1

* Mon Mar 03 2008 Robert Scheck <robert@fedoraproject.org> 2.11.5-1
- Upstream released 2.11.5

* Sun Jan 13 2008 Robert Scheck <robert@fedoraproject.org> 2.11.4-1
- Upstream released 2.11.4
- Corrected mod_security example in configuration file (#427119)

* Sun Dec 09 2007 Robert Scheck <robert@fedoraproject.org> 2.11.3-1
- Upstream released 2.11.3
- Removed the RPM scriptlets doing httpd restarts (#227025)
- Patched an information disclosure known as CVE-2007-0095 (#221694)
- Provide virtual phpmyadmin package and a httpd alias (#231431)

* Wed Nov 21 2007 Robert Scheck <robert@fedoraproject.org> 2.11.2.2-1
- Upstream released 2.11.2.2 (#393771)

* Tue Nov 20 2007 Mike McGrath <mmcgrath@redhat.com> 2.11.2.1-1
- Upstream released new version

* Mon Oct 29 2007 Mike McGrath <mmcgrath@redhat.com> 2.11.2-1
* upstream released new version

* Mon Oct 22 2007 Mike McGrath <mmcgrath@redhat.com> 2.11.1.2-1
* upstream released new version

* Thu Sep 06 2007 Mike McGrath <mmcgrath@redhat.com> 2.11.0-1
- Upstream released new version
- Altered sources file as required
- Added proper license

* Mon Jul 23 2007 Mike McGrath <mmcgrath@redhat.com> 2.10.3-1
- Upstream released new version

* Sat Mar 10 2007 Mike McGrath <mmcgrath@redhat.com> 2.10.0.2-3
- Switched to the actual all-languages, not just utf-8

* Sun Mar 04 2007 Mike McGrath <mmcgrath@redhat.com> 2.10.0.2-1
- Upstream released new version

* Sat Jan 20 2007 Mike McGrath <imlinux@gmail.com> 2.9.2-1
- Upstream released new version

* Fri Dec 08 2006 Mike McGrath <imlinux@gmail.com> 2.9.1.1-2
- Fixed bug in spec file

* Fri Dec 08 2006 Mike McGrath <imlinux@gmail.com> 2.9.1.1-1
- Upstream released new version

* Wed Nov 15 2006 Mike McGrath <imlinux@gmail.com> 2.9.1-3alpha
- Added dist tag

* Wed Nov 15 2006 Mike McGrath <imlinux@gmail.com> 2.9.1-2alpha
- Fixed 215159

* Fri Nov 10 2006 Mike McGrath <imlinux@gmail.com> 2.9.1-1alpha
- Added alpha tag since this is a release candidate

* Tue Nov 07 2006 Mike McGrath <imlinux@gmail.com> 2.9.1-1
- Upstream released new version

* Wed Oct 04 2006 Mike McGrath <imlinux@gmail.com> 2.9.0.2-1
- Upstream released new version

* Thu Jul 06 2006 Mike McGrath <imlinux@gmail.com> 2.8.2-2
- Fixed a typo in the Apache config

* Mon Jul 03 2006 Mike McGrath <imlinux@gmail.com> 2.8.2-1
- Upstream released 2.8.2
- Added more restrictive directives to httpd/conf.d/phpMyAdmin.conf
- removed htaccess file from the libraries dir
- Specific versions for various requires

* Sat May 13 2006 Mike McGrath <imlinux@gmail.com> 2.8.0.4-1
- Upstream released 2.8.0.4
- Added requires php, instead of requires httpd, now using webserver

* Sun May 07 2006 Mike McGrath <imlinux@gmail.com> 2.8.0.3-2
- Added mysql-php and php-mbstring as a requires

* Fri Apr 07 2006 Mike McGrath <imlinux@gmail.com> 2.8.0.3-1
- Fixed XSS vulnerability: PMASA-2006-1
- It was possible to conduct an XSS attack with a direct call to some scripts
- under the themes directory.

* Tue Apr 04 2006 Mike McGrath <imlinux@gmail.com> 2.8.0.2-3
- Made config files actually configs
- Moved doc files to the doc dir

* Tue Apr 04 2006 Mike McGrath <imlinux@gmail.com> 2.8.0.2-2
- Moved everything to %{_datadir}
- Moved config file to /etc/
- Used description from phpMyAdmin project info

* Mon Apr 03 2006 Mike McGrath <imlinux@gmail.com> 2.8.0.2-1
- Initial Spec file creation for Fedora
